import request from '@/utils/request'

// 查询驾校资质信息列表
export function listCredentials(query) {
  return request({
    url: '/system/credentials/list',
    method: 'get',
    params: query
  })
}

// 查询驾校资质信息详细
export function getCredentials(id) {
  return request({
    url: '/system/credentials/' + id,
    method: 'get'
  })
}

// 新增驾校资质信息
export function addCredentials(data) {
  return request({
    url: '/system/credentials',
    method: 'post',
    data: data
  })
}

// 修改驾校资质信息
export function updateCredentials(data) {
  return request({
    url: '/system/credentials',
    method: 'put',
    data: data
  })
}

// 删除驾校资质信息
export function delCredentials(id) {
  return request({
    url: '/system/credentials/' + id,
    method: 'delete'
  })
}
